FROM debian:testing-slim as builder

RUN export DEBIAN_FRONTEND=noninteractive && apt update && \
    apt-get install --no-install-recommends -y \
    build-essential \
    wget \
    ca-certificates \
    && \
    useradd -m x \ 
    && \
    rm -rf /var/lib/apt/lists/*

USER x
WORKDIR /home/x/

RUN wget https://www.inet.no/dante/files/dante-1.4.3.tar.gz && \
    tar xf dante-*.tar.gz && \
    rm dante-*.tar.gz && \
    mv dante-* dante

COPY ./dante.patch /home/x/

RUN ls -alh && \
    patch -ruN -d dante -p1 < ~/dante.patch && \
    cd dante && \
    ./configure && \
    make \
    && \
    ls -alh sockd/

FROM debian:testing-slim as dante

#    apt update && apt upgrade -y && apt-get install --no-install-recommends -y \
RUN export DEBIAN_FRONTEND=noninteractive && \
    apt update && apt upgrade -y \
    && \
    useradd -m -s /usr/sbin/nologin x \
    && \
    rm -rf /var/lib/apt/lists/*

COPY --from=builder /home/x/dante/sockd/sockd /usr/local/bin/

COPY docker-entrypoint.sh /docker-entrypoint.sh
COPY sockd.conf /etc/sockd.conf

RUN chmod 0700 /docker-entrypoint.sh

ENTRYPOINT ["/docker-entrypoint.sh"]
